Subject: Re: [bug#50960] [PATCH 00/10] Add 'guix shell' to subsume 'guix environment'

From: Leo Famulari <[email-masked]>
Date: Mon, 4 Oct 2021 13:38:16 -0400

On Sat, Oct 02, 2021 at 12:21:16PM +0200, Ludovic Courtès wrote:
> Here comes ‘guix shell’, a proposed replacement for ‘guix environment’!
> ‘guix environment’ would stay around though, at least for some time,
> probably for a long time.

Very nice!

>        ‘guix shell -D hello git’ ≍ ‘guix environment hello --ad-hoc git’

Is my understanding correct, that arguments to `guix environment` are
positional, whereas with `guix shell` arguments are not positional?